require 'rdh/rdh_api'

class Rdh
  def self.get_os
		os = RbConfig::CONFIG['host_os']
	  if os =~ /darwin|mac os/
		 return 'macos'
	  elsif os =~ /linux/
		  return 'linux'
	  else
		  return 'unknown'
	  end
	end
	
	def self.inspect_gem(gem_name, version)
		os = self.get_os
		dep = RdhApi.get(gem_name, version, os)
		return dep
	end


	def self.contribute_gem(gem_name, version, dependencies)
		resp = RdhApi.create(gem_name, version, dependencies)
	end
end
